<?php

//ini_set("memory_limit","1024M");
set_time_limit(6000000);

$connection=mysql_connect('localhost', 'root', '1234') or die ("Verbindungsversuch fehlgeschlagen");
mysql_select_db('intelectra_shop__', $connection) or die("Konnte die Datenbank nicht waehlen.");
/*
$connection=mysql_connect('localhost', 'intelectra_shop_', 'Wwja71!3') or die ("Verbindungsversuch fehlgeschlagen");
mysql_select_db('intelectra_shop__', $connection) or die("Konnte die Datenbank nicht waehlen.1");*/
echo "get data<br>";
// get item ids
$query = mysql_query('select id, old_id, number from items') or die("Anfrage nicht erfolgreich");
$item_ids = array();
$item_numbers = array();
while($obj = mysql_fetch_object($query)) {
	$item_ids[$obj->old_id] = $obj->id;
        $item_numbers[$obj->number] = $obj->id;
}

// get items
$query = mysql_query("select lid, mid, bezeichnung from import_item_merkmale where mid in (82, 81, 282) AND bezeichnung != '' order by lid") or die("Anfrage nicht erfolgreich");
$data = array();
while($obj = mysql_fetch_object($query)) {
	$data[] = $obj;
}

echo "imports<br>";
$type = array (
    '82' => 1,
    '81' => 3,
    '282' => 2
);
foreach ($data as $object) {
    $items = split(' ', $object->bezeichnung);
    $pos = 0;
    foreach ($items as $item) {
        $pos++;
        $sql = '
            INSERT INTO item_item_assign (
                item_parent_id,
                item_child_id,
                type,
                position
            ) VALUES (
                '.$item_ids[$object->lid].',
                '.$item_numbers[$item].',
                '.$type[$object->mid].',
                '.$pos.'
            )
        ';
        //echo $sql.'<br>';
        $query = mysql_query($sql);
        if (!$query) {
                echo $sql;
                echo "<br />";
        }
    }
}

echo "ende<br>";

?>